API ReferenceUser
Set User role sets
PATCH
Set User role sets
apiKeyheader
Authorization<token>Value for the Authorization header parameter.
id*stringUser identifier
exists[ssoProvider]?booleanUser exists[ssoProvider]
ssoProviderIds?array<>User ssoProviderIds
The updated User resource
- body
roleSets?array<>User resource updated
- response
status?stringLength
length <= 50Value in
"active""profile-pending""profile-password-pending""inactive"createdAt?stringFormat
date-timeupdatedAt?|Format
date-timecreatedBy?|Format
uuidcontactInfo?array<>|nullcanChangeEmail?booleanhourlyRate?float|nulldecorator?stringLength
length <= 20roleSets?array<>tasksPerWorkDay?integer|nullid?stringfirstName?string|nulllastName?string|nullemail?string|nulljobPosition?string|nulljobPositionName?string|nullcontractorName?string|nullcontractorId?string|nullpictureSm?string|nullpictureLg?string|nullphoneNumber?string|nullcanLogIn?booleanallowApiTokenAuthentication?booleanisExternal?booleancanManage?booleanisUsingMobile?booleanlastActivity?|Format
date-timelastActivityMobile?|Format
date-timeshortCode?stringhoursPerWorkDay?integer|nulluserDepartments?array<>curl -X PATCH 'https://app.icproject.com/api/instance/demo/user/users/string/set-role-sets' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "status": "active", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "createdBy": "25a02396-1048-48f9-bf93-102d2fb7895e", "contactInfo": [ { "type": "string", "value": "string", "isDefault": true } ], "canChangeEmail": true, "hourlyRate": null, "decorator": "string", "roleSets": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "shortCode": "string", "name": "string", "roles": [ "Check allowed_roles.yaml" ] } ], "tasksPerWorkDay": 0, "id": "string", "firstName": "string", "lastName": "string", "email": "string", "jobPosition": "string", "jobPositionName": "string", "contractorName": "string", "contractorId": "string", "pictureSm": "string", "pictureLg": "string", "phoneNumber": "string", "canLogIn": true, "allowApiTokenAuthentication": true, "isExternal": true, "canManage": true, "isUsingMobile": true, "lastActivity": "string", "lastActivityMobile": "string", "shortCode": "string", "hoursPerWorkDay": 0, "userDepartments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "isLeader": true, "department": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" } } ]}